#include "vision.h"

using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {1,2,1,3,1,1};
}

int getMove1d(std::vector<int> v)
{
    int n = (int)v.size();

    if (n == 3) {
        vector<int> A;
        A = {1,1,2};
        if (v == A) return 2;
        A = {2,1,1};
        if (v == A) return 0;

        A = {2,1,3};
        if (v == A) return 2;
        A = {3,1,2};
        if (v == A) return 0;

        A = {3,1,1};
        if (v == A) return 2;
        A = {1,1,3};
        if (v == A) return 0;

        A = {1,1,1};
        if (v == A) return 0;
    }
    else if (n == 5) {
        vector<int> A;
        A = {1,1,2,1,3};
        if (v == A) return 4;
        A = {3,1,2,1,1};
        if (v == A) return 0;
    }
    else {
        vector<int> A;
        A = {1,2,1,3,1,1,1};
        if (v == A) return 6;
        A = {1,1,1,3,1,2,1};
        if (v == A) return 0;
    }
    return n-1;
}






std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
